push_register
PUT
/v1/devices/self/push
const url = 'https://example.com/v1/devices/self/push';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"platform":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/devices/self/push \ --header 'Content-Type: application/json' \ --data '{ "platform": "example", "token": "example" }'Remote listener and relay tunnel only. Requires a paired device bearer token with either view or decide scope.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
platform
required
string
token
required
string
Examplegenerated
{ "platform": "example", "token": "example"}Responses
Section titled “Responses”Registered
Invalid registration
Device token required
Device revoked